import { defHttp } from '@/utils/http/axios';
enum Api {
  PageList = '/api/IdleWaters/PageList',
  Detail = '/api/IdleWaters/Detail',
  AddOrEdit = '/api/IdleWaters/AddOrEdit',
  Delete = '/api/IdleWaters/Delete',
}

export function PageList(params: {page, limit, key} ){
  return defHttp.get({ url: Api.PageList, params });
}
export function Detail(params: { id }){
  return defHttp.get({ url: Api.Detail, params });
}
export function AddOrEdit(params){
  return defHttp.post({ 
    url: Api.AddOrEdit, 
    data: params 
  });
}
export function Delete(params){
  return defHttp.post({ 
    url: Api.Delete, 
    data: params 
  });
}